Page MenuHomePhabricator

Make it possible to render the installer with any skin, or preview skins in the installer
Open, MediumPublic

Description

:o

We should make it possible to render the installer with any skin, or preview skins in the installer. It doesn't look easy with the current code…

See Also: T68295: Come up with a sane way of including screenshots with skins and displaying them in the UI

Details

Reference
bz68331

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:35 AM
bzimport set Reference to bz68331.
bzimport added a subscriber: Unknown Object (MLST).
matmarex created this task.Jul 21 2014, 6:50 PM

With I7b8bd77f5868af2ccf464e48db771f2e8e0472ff we actually got closer to the goal, I can imagine the somebody extracts some working skin first and then runs an installer and voilá, we have both installer *and* the new wiki setup with a preferred skin.

Paladox reopened this task as Open.Feb 15 2015, 1:58 AM
Paladox raised the priority of this task from Low to Medium.
Paladox closed this task as a duplicate of T71032: Installer using a skin.
Paladox set Security to None.
Paladox added a subscriber: Paladox.

Change 371080 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] installer: Link to skin screenshots

https://gerrit.wikimedia.org/r/371080

Change 371080 merged by jenkins-bot:
[mediawiki/core@master] installer: Link to skin screenshots

https://gerrit.wikimedia.org/r/371080

All patches merged and followup task is closed as resolved. Is there more work to do in this task?

Yes, the installer still hardcodes the Vector skin, search for "Vector" in includes/installer/WebInstallerOutput.php.

The installer is now rendered with a Vector alike style, decoupled from Vector itself (T248133: WebInstallerOutput should not use Vector styles). It no longer has any code to load skins automatically. Is that still desirable? @Volker_E mentioned in T248133#6023554 that "I fear that the installer, which already features a lot of outdated, usability unfriendly bits and pieces will be forgotten and left behind even more for the coming years – further emphasizing the impression that you're installing an ancient piece of software." Defaulting to a bundled skin would be nice, except that WebInstallerOutput hardcodes a layout that not all skins use, making it a separate case to handle, which raises the same concerns Volker mentioned.